{% extends 'base.html' %}

{% block body %}
<h2><a style="padding:10px;" href="{% url 'contract_list' %}"><i class="fas fa-caret-square-left"></i></a></h2>
<div class="main">
  <h2>Договір №{{ object.number }} від {{ object.date }} {{ object.contragent.shortname }}</h2><br>
  <div class="exp">
  <h2><form action="{% url 'addition_create' %}" method='POST'>
          {% csrf_token %}
          <input hidden type="text" name="contract" value="{{ object.id }}">
          <button type="submit" class="nobtn">Створити специфікацію</button></form></h2>
          <a class="out" href="{% url 'contragent_update' object.contragent.id  %}">Профіль контрагента</a>
  </div>
  <div class="main-body">
    <table border="1">
    <thead>
      <tr>
        <th>Специфікація</th>
        <th>Культура</th>
        <th>Умови поставки</th>
        <th>Ціна з ПДВ</th>
        <th>Ціна без ПДВ</th>
        <th>Кількість тонн</th>
        <th>Загальна сума</th>
        <th style="width: 4%;"></th>
        <th style="width: 4%;"></th>
        <th style="width: 4%;"></th>
      </tr>
    </thead>
    <tbody>
       {% for addition in object.addition_set.all %}
      <tr>
        <td class="non">№{{ addition.number }} від {{ addition.date }}</td>
        <td class="non">{{ addition.product.shortname }}</td>
        <td class="non">{{ addition.trade }}</td>
        <td class="non">{{ addition.cost }}</td>
        <td class="non">{{ addition.notpdv }}</td>
        <td class="non">{{ addition.quantity }}</td>
        <td class="non">{{ addition.sumcost }}</td>
        <td align=center>
          <a href="{% url 'addition_update' addition.id %}"><i class="fas fa-pencil-alt"></i></a>
        </td>
        <td align=center>
          <a href="{% url 'spec_create' addition.id %}"><i class="fas fa-caret-square-down"></i></a>
        </td>
        <td align=center>
          <a href="{% url 'addition_delete' addition.id %}"><i class="fas fa-trash-alt"></i></a>
        </td>
      </tr>
      {% empty %}
      <h2>No contragent yet.</h2>
      {% endfor %}
    </table>
  </div>
</div>
{% endblock %}
